BIOSET_CREATE_NOBVEC(9)

NAME
bioset_create_nobvec - Create a bio_set without bio_vec mempool

SYNOPSIS

struct bio_set * bioset_create_nobvec(unsigned int pool_size, unsigned int front_pad);

ARGUMENTS

pool_size
    Number of bio to cache in the mempool

front_pad
    Number of bytes to allocate in front of the returned bio

DESCRIPTION

Same functionality as bioset_create except that mempool is not created for bio_vecs. Saving some memory for bio_clone_fast users.

COPYRIGHT